Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.expr
Class JIParserNode

`java.lang.Object
oracle.jbo.expr.JIParserNode`

Direct Known Subclasses:
  JIParserMethodNode

public class JIParserNode
extends java.lang.Object

Field Summary
`static int` | `NODE_TYP_ADD`
`static int` | `NODE_TYP_AND`
`static int` | `NODE_TYP_ARRAY`
`static int` | `NODE_TYP_ASSIGN`
`static int` | `NODE_TYP_BOOLEAN`
`static int` | `NODE_TYP_CHAR`
`static int` | `NODE_TYP_DIVIDE`
`static int` | `NODE_TYP_EQ`
`static int` | `NODE_TYP_GE`
`static int` | `NODE_TYP_GT`
`static int` | `NODE_TYP_IDENT`
`static int` | `NODE_TYP_INTEGER`
`static int` | `NODE_TYP_IS_VALID`
`static int` | `NODE_TYP_LE`
`static int` | `NODE_TYP_LIMIT_LITERAL_VALUES`
`static int` | `NODE_TYP_LITERAL_IDENT`
`static int` | `NODE_TYP_LT`
`static int` | `NODE_TYP_METHOD_CALL`
`static int` | `NODE_TYP_MOD`
`static int` | `NODE_TYP_MULTIPLY`
`static int` | `NODE_TYP_NE`
`static int` | `NODE_TYP_NEGATIVE`
`static int` | `NODE_TYP_NEW`
`static int` | `NODE_TYP_NONE`
`static int` | `NODE_TYP_NOT`
`static int` | `NODE_TYP_NULL`
`static int` | `NODE_TYP_OR`
`static int` | `NODE_TYP_REGEXP`
`static int` | `NODE_TYP_STRING`
`static int` | `NODE_TYP_SUBTRACT`

Constructor Summary
`JIParserNode(JIExpr expr, int typ, java.lang.String s, java.lang.Object v)`

Method Summary
`protected static void` | `cantConvert(java.lang.Object rVal, java.lang.String targetTypeName)`
`static boolean` | `convertIntoBoolean(java.lang.Object rVal)`
`static int` | `convertIntoInteger(java.lang.Object rVal)`
`static long` | `convertIntoLong(java.lang.Object rVal)`
`static java.lang.String` | `convertIntoString(java.lang.Object rVal)`
`java.lang.Object` | `evaluate(JIValueSupplier valueSupplier)`
`JIExpr` | `getExpr()`
`java.lang.String` | `getFullIdentName()`
`JIParserNode` | `getLeftChild()`
`int` | `getNodeType()`
`JIParserNode` | `getParent()`
`java.lang.Object` | `getParentVal()`
`JIParserNode` | `getRightChild()`
`java.lang.String` | `getString()`
`java.lang.Object` | `getVal()`
`java.lang.String` | `indent(int lev)`
`boolean` | `isRValue()`
`JIParserNode` | `locateNode(JIParserNodeLocator locator, JIParserNode[] toExclude)`
`JIParserNode` | `locateNodeOfType(int[] types, JIParserNode[] toExclude)`
`void` | `setIsRValue(boolean b)`
`void` | `setLeftChild(JIParserNode child)`
`void` | `setNodeType(int newType)`
`void` | `setParentVal(java.lang.Object p)`
`void` | `setRightChild(JIParserNode child)`
`void` | `setString(java.lang.String s)`
`void` | `setVal(java.lang.Object v)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(int lev, java.lang.String header)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NODE_TYP_NONE

    public static final int NODE_TYP_NONE

  See Also:
    Constant Field Values

### NODE_TYP_NULL

    public static final int NODE_TYP_NULL

  See Also:
    Constant Field Values

### NODE_TYP_INTEGER

    public static final int NODE_TYP_INTEGER

  See Also:
    Constant Field Values

### NODE_TYP_STRING

    public static final int NODE_TYP_STRING

  See Also:
    Constant Field Values

### NODE_TYP_BOOLEAN

    public static final int NODE_TYP_BOOLEAN

  See Also:
    Constant Field Values

### NODE_TYP_CHAR

    public static final int NODE_TYP_CHAR

  See Also:
    Constant Field Values

### NODE_TYP_LIMIT_LITERAL_VALUES

    public static final int NODE_TYP_LIMIT_LITERAL_VALUES

  See Also:
    Constant Field Values

### NODE_TYP_IDENT

    public static final int NODE_TYP_IDENT

  See Also:
    Constant Field Values

### NODE_TYP_LITERAL_IDENT

    public static final int NODE_TYP_LITERAL_IDENT

  See Also:
    Constant Field Values

### NODE_TYP_METHOD_CALL

    public static final int NODE_TYP_METHOD_CALL

  See Also:
    Constant Field Values

### NODE_TYP_ARRAY

    public static final int NODE_TYP_ARRAY

  See Also:
    Constant Field Values

### NODE_TYP_NEGATIVE

    public static final int NODE_TYP_NEGATIVE

  See Also:
    Constant Field Values

### NODE_TYP_MULTIPLY

    public static final int NODE_TYP_MULTIPLY

  See Also:
    Constant Field Values

### NODE_TYP_DIVIDE

    public static final int NODE_TYP_DIVIDE

  See Also:
    Constant Field Values

### NODE_TYP_MOD

    public static final int NODE_TYP_MOD

  See Also:
    Constant Field Values

### NODE_TYP_ADD

    public static final int NODE_TYP_ADD

  See Also:
    Constant Field Values

### NODE_TYP_SUBTRACT

    public static final int NODE_TYP_SUBTRACT

  See Also:
    Constant Field Values

### NODE_TYP_AND

    public static final int NODE_TYP_AND

  See Also:
    Constant Field Values

### NODE_TYP_OR

    public static final int NODE_TYP_OR

  See Also:
    Constant Field Values

### NODE_TYP_NOT

    public static final int NODE_TYP_NOT

  See Also:
    Constant Field Values

### NODE_TYP_EQ

    public static final int NODE_TYP_EQ

  See Also:
    Constant Field Values

### NODE_TYP_GT

    public static final int NODE_TYP_GT

  See Also:
    Constant Field Values

### NODE_TYP_GE

    public static final int NODE_TYP_GE

  See Also:
    Constant Field Values

### NODE_TYP_LT

    public static final int NODE_TYP_LT

  See Also:
    Constant Field Values

### NODE_TYP_LE

    public static final int NODE_TYP_LE

  See Also:
    Constant Field Values

### NODE_TYP_NE

    public static final int NODE_TYP_NE

  See Also:
    Constant Field Values

### NODE_TYP_REGEXP

    public static final int NODE_TYP_REGEXP

  See Also:
    Constant Field Values

### NODE_TYP_ASSIGN

    public static final int NODE_TYP_ASSIGN

  See Also:
    Constant Field Values

### NODE_TYP_NEW

    public static final int NODE_TYP_NEW

  See Also:
    Constant Field Values

### NODE_TYP_IS_VALID

    public static final int NODE_TYP_IS_VALID

  See Also:
    Constant Field Values

Constructor Detail

### JIParserNode

    public JIParserNode(JIExpr expr,
                        int typ,
                        java.lang.String s,
                        java.lang.Object v)

Method Detail

### getExpr

    public JIExpr getExpr()

### getNodeType

    public int getNodeType()

### setNodeType

    public void setNodeType(int newType)

### isRValue

    public boolean isRValue()

### setIsRValue

    public void setIsRValue(boolean b)

### getString

    public java.lang.String getString()

### setString

    public void setString(java.lang.String s)

### getVal

    public java.lang.Object getVal()

### setVal

    public void setVal(java.lang.Object v)

### getParentVal

    public java.lang.Object getParentVal()

### setParentVal

    public void setParentVal(java.lang.Object p)

### getParent

    public JIParserNode getParent()

### getLeftChild

    public JIParserNode getLeftChild()

### setLeftChild

    public void setLeftChild(JIParserNode child)

### getRightChild

    public JIParserNode getRightChild()

### setRightChild

    public void setRightChild(JIParserNode child)

### getFullIdentName

    public java.lang.String getFullIdentName()

### cantConvert

    protected static void cantConvert(java.lang.Object rVal,
                                      java.lang.String targetTypeName)

### convertIntoLong

    public static long convertIntoLong(java.lang.Object rVal)

### convertIntoInteger

    public static int convertIntoInteger(java.lang.Object rVal)

### convertIntoString

    public static java.lang.String convertIntoString(java.lang.Object rVal)

### convertIntoBoolean

    public static boolean convertIntoBoolean(java.lang.Object rVal)

### locateNodeOfType

    public JIParserNode locateNodeOfType(int[] types,
                                         JIParserNode[] toExclude)

### locateNode

    public JIParserNode locateNode(JIParserNodeLocator locator,
                                   JIParserNode[] toExclude)

### evaluate

    public java.lang.Object evaluate(JIValueSupplier valueSupplier)

### indent

    public java.lang.String indent(int lev)

### toString

    public java.lang.String toString(int lev,
                                     java.lang.String header)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.